.slideshow-container {
    width: 100%;
    height: 540px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    background: linear-gradient(to right, #7ffce1, #f692fa, #63c9f8, #63c9f8, #f692fa, #7ffce1);
}

.slide {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 100%;
    transition: all 1s ease;
}

.slide.active {
    left: 0;
    z-index: 2;
    background: linear-gradient(to right, #63c9f8, #f692fa, #7ffce1, #7ffce1, #f692fa, #63c9f8);
}

.slide.exiting {
    left: -100%;
    z-index: 1;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.slide-caption {
    position: absolute;
    bottom: 100px;
    left: 50%;
    transform: translateX(-50%);
    padding: 20px 30px;
    border-radius: 8px;
    text-align: left;
    max-width: 100%;
}

.slide-caption button {
    background-color: #750166; /* classic gold */
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'Play';
}

.slide-caption button:hover {
    background-color: #b90483;
}

.slide-caption h2 {
    margin: 0 0 15px;
    font-size: 16px;
    color: #572626;
    font-family: "VAGUARDBasic";
}

.progress-bar {
    width: 80%;
    background: #07fff3;
    border: 1px solid #023979;
    margin-top: 10px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.progress {
    height: 2px;
    background: #ff008c;
    width: 0%;
}

a.prev, a.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: rgb(1, 92, 36);
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    z-index: 10;
}

a.prev {
    left: 10px;
    border-radius: 3px 0 0 3px;
}

a.next {
    right: 10px;
    border-radius: 0 3px 3px 0;
}

a.prev:hover, a.next:hover {
    color: rgb(248, 152, 200);
    background-color: rgba(211, 98, 5, 0.8);
}

@media (max-width: 1230px) {
    .slide-caption {
        bottom: 160px;
    }
}
@media (max-width: 867px) {
    .slideshow-container {
        height: 300px;
    }
    
    .slide-caption {
        bottom: 60px;
    }
    
    .slide-caption button {
        padding: 6px 12px;
        font-size: 12px;
    }
    
    .slide-caption h2 {
        margin: 0 0 15px;
        font-size: 12px;
    }
}
@media (max-width: 760px) {
    .slide-caption {
        bottom: 6px;
        left: 30%;
        transform: translateX(-50%);
        padding: 0;
    }
    
    .slide-caption button {
        padding: 6px 12px;
        font-size: 12px;
    }
    
    .slide-caption h2 {
        margin: 0;
        font-size: 12px;
    }
}
@media (max-width: 740px) {
    .slide-caption {
        bottom: 10px;
    }
}
@media (max-width: 640px) {
    .slide-caption {
        bottom: 14px;
    }
}
@media (max-width: 564px) {
    .slide-caption {
        bottom: 20px;
    }
}
